MikeEber

Accessing ProgressHelper in a 4.0 application?

Discussion created by MikeEber on Mar 28, 2014
Latest reply on Apr 1, 2014 by MikeEber
We have made extensive use of ProgressHelper in our code to display status's for our users as well as for debugging for the developers.  ProgressHelper is in the Esri.ArcgisExplorer.Application namespace.  In a normal .NET scenario if I set a configuration setting of
  <startup>
      <supportedRuntime version="v4.0.30319" />
  </startup>

Then I can run prior versions under the new framework.  But since the .NET initialization process is bypassed by making this an add-in, the framework never sees this.  So how do I configure ArcMap and the ArcObject environment to recognize that a 2.0 DLL can be loaded in a 4.0 framework to satisfy the rquirements of the 4.0 Framework???

Outcomes